# JANUX Authentication Gateway

[![Python](https://img.shields.io/badge/Python-3.10%2B-darkcyan)](https://pypi.org/project/janux-auth-gateway/)
[![License: Apache 2.0](https://img.shields.io/badge/License-Apache2.0-orange.svg)](https://github.com/fox-techniques/janux-auth-gateway/blob/main/LICENSE)
[![GitHub](https://img.shields.io/badge/GitHub-janux--auth--gateway-181717?logo=github)](https://github.com/fox-techniques/janux-auth-gateway)

The JANUX Authentication Gateway is a modular and extensible authentication microservice built using FastAPI. It supports user and admin authentication, JWT management, and MongoDB operations via Beanie ODM. This package is designed for developers seeking a robust and scalable authentication solution for their applications.

## Features

- Secure password hashing and verification using bcrypt.
- JWT-based authentication for users and admins.
- Modular API routing for user, admin, and authentication endpoints.
- Centralized logging and error handling for better maintainability.
- MongoDB integration using Beanie ODM.
- Health check and root endpoint for monitoring.

---
